package com.sourcebits.flickrhack;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;

public class ImageAdapter extends BaseAdapter {
	private Context mContext;
	ImageLoader imageLoader;

	// Keep all Images in array

	// Constructor
	public ImageAdapter(Context c) {
		mContext = c;
		imageLoader = new ImageLoader();
	}

	public int getCount() {
		return FlickrActivity.mPhotoUrl.size();
	}

	public Object getItem(int position) {
		return null;
	}

	public long getItemId(int position) {
		return 0;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		View rowView = convertView;

		/**
		 * Inflating the row view of the Listview
		 */
		if (rowView == null) {
			LayoutInflater inflater = (LayoutInflater) ((Activity) mContext)
					.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			rowView = inflater.inflate(R.layout.flickrphoto, null);
		}
		
		ImageView imageFlickr = (ImageView) rowView.findViewById(R.id.imageView1);
		imageLoader.loadDrawable(FlickrActivity.mPhotoUrl.get(position), imageFlickr,mContext.getResources().getDrawable(R.drawable.ic_launcher));
		imageFlickr.setScaleType(ImageView.ScaleType.CENTER_CROP);		
		return rowView;
	}
}
